# Method: consentStores.list

**Full name**: projects.locations.datasets.consentStores.list

Lists the `https://docs.cloud.google.com/healthcare-api/docs/reference/rest/v1/projects.locations.datasets.consentStores#ConsentStore` in the specified dataset.

### HTTP request

`GET https://healthcare.googleapis.com/v1/{parent=projects/*/locations/*/datasets/*}/consentStores`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Name of the dataset. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `healthcare.consentStores.list` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. Limit on the number of consent stores to return in a single response. If not specified, 100 is used. May not be larger than 1000. |
| `pageToken` | `string` Optional. Token to retrieve the next page of results, or empty to get the first page. |
| `filter` | `string` Optional. Restricts the stores returned to those matching a filter. Only filtering on labels is supported. For example, `filter=labels.key=value`. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "consentStores": [ { object(`https://docs.cloud.google.com/healthcare-api/docs/reference/rest/v1/projects.locations.datasets.consentStores#ConsentStore`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `consentStores[]` | ``object(`https://docs.cloud.google.com/healthcare-api/docs/reference/rest/v1/projects.locations.datasets.consentStores#ConsentStore`)`` The returned consent stores. The maximum number of stores returned is determined by the value of pageSize in the ListConsentStoresRequest. |
| `nextPageToken` | `string` Token to retrieve the next page of results, or empty if there are no more results in the list. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-healthcare`
- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).